- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#body.UserProfileList.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/list#try-it)

Retrieves list of user profiles for a user.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Represents the list of user profiles.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles#UserProfile`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#userProfileList"`. |
| `etag` | `string` Etag of this resource. |
| `items[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles#UserProfile`)`` The user profiles returned in this response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/dfareporting`
- `
  https://www.googleapis.com/auth/dfatrafficking`
- `
  https://www.googleapis.com/auth/ddmconversions`